Name:             decentxml
Version:          1.4
Release:          %mkrel 14
Group:            Development/Java
Summary:          XML parser optimized for round-tripping and code reuse
License:          BSD
URL:              http://code.google.com/p/%{name}
BuildArch:        noarch

Source0:          https://decentxml.googlecode.com/files/decentxml-1.4-src.zip
# for running w3c conformance test suite
Source1:          http://www.w3.org/XML/Test/xmlts20031210.zip

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)


%description
XML parser optimized for round-tripping and code reuse with main
features being:
 * Allows 100% round-tripping, even for weird whitespace between
   attributes in the start tag or in the end tag
 * Suitable for building editors and filters which want/need to
   preserve the original file layout as much as possible
 * Error messages have line and column information
 * Easy to reuse individual components
 * XML 1.1 compatible

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# we are looking for xml conformance data one lever above so unzip
# here and symlink there
unzip %{SOURCE1}
ln -sf %{name}-%{version}/xmlconf ../xmlconf
sed -i -e "s|junit-dep|junit|g" pom.xml

# Two tests fail with Java 8, probably because of some Unicode incompatibility.
sed -i '/not_wf_sa_16[89] /d' src/test/java/de/pdark/decentxml/XMLConformanceTest.java

%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_file  : %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE README

%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Thu May 18 2017 neoclust <neoclust> 1.4-14.mga6
+ Revision: 1103048
- Fix buildRequires

* Wed Mar 02 2016 neoclust <neoclust> 1.4-13.mga6
+ Revision: 982555
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.4-12.mga6
+ Revision: 975756
- First rebuild of the java stack
- sync package decentxml with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 24 2014 dmorgan <dmorgan> 1.4-7.mga5
+ Revision: 805190
- imported package decentxml


* Fri Feb 25 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.3-1
- Initial version of the package

